> ## Documentation Index
> Fetch the complete documentation index at: https://docs.canary.effectiveai.app/llms.txt
> Use this file to discover all available pages before exploring further.

# List working filing documents

> Lists items in creation-time descending and ID ascending order. Requires filing read access. Cursor binds caller, filing and limit, and expires 24 hours after the first page. Continue until nextCursor is null. Documents may be unscheduled. Reading an item does not grant access to its file bytes.



## OpenAPI

````yaml /openapi.json get /managed-filings/{filingId}/items
openapi: 3.0.3
info:
  title: Effective API
  version: 2.0.0
  description: The public Effective REST API. Authenticate using an Effective API key.
servers:
  - url: https://canary.effectiveai.app/api/v2
    description: Canary
security:
  - bearerAuth: []
paths:
  /managed-filings/{filingId}/items:
    get:
      tags:
        - Managed Filings
      summary: List working filing documents
      description: >-
        Lists items in creation-time descending and ID ascending order. Requires
        filing read access. Cursor binds caller, filing and limit, and expires
        24 hours after the first page. Continue until nextCursor is null.
        Documents may be unscheduled. Reading an item does not grant access to
        its file bytes.
      operationId: listManagedFilingItems
      parameters:
        - schema:
            type: string
            format: uuid
          required: true
          name: filingId
          in: path
        - schema:
            type: integer
            minimum: 1
            maximum: 100
            default: 50
          required: false
          name: limit
          in: query
        - schema:
            type: string
            minLength: 1
            maxLength: 128
          required: false
          name: cursor
          in: query
      responses:
        '200':
          description: Filing items.
          content:
            application/json:
              schema:
                type: object
                properties:
                  items:
                    type: array
                    items:
                      $ref: '#/components/schemas/V2ManagedFilingItem'
                  nextCursor:
                    type: string
                    nullable: true
                    description: Cursor for the next page, or null on the last page.
                required:
                  - items
                  - nextCursor
                additionalProperties: false
        '400':
          description: Invalid fields or request.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/V2CodedError'
        '401':
          description: Authentication required.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/V2CodedError'
        '403':
          description: A write-capable user credential and edit access are required.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/V2CodedError'
        '404':
          description: >-
            Filing, item, reference, or registered record type is missing or
            inaccessible.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/V2CodedError'
        '409':
          description: >-
            Read-only filing, occupied schedule position, dependency, or
            concurrent change.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/V2CodedError'
        '415':
          description: Content-Type must be application/json.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/V2CodedError'
        '500':
          description: Unexpected server error.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/V2CodedError'
        '503':
          description: Dependency temporarily unavailable.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/V2CodedError'
      security:
        - bearerAuth: []
components:
  schemas:
    V2ManagedFilingItem:
      type: object
      properties:
        id:
          type: string
          format: uuid
        filingId:
          type: string
          format: uuid
        artifactId:
          type: string
          format: uuid
        artifactVersionId:
          type: string
          nullable: true
        scheduleType:
          type: string
          nullable: true
          enum:
            - form
            - rate
            - rule
            - supporting_document
            - null
        scheduleSeqNo:
          type: integer
          nullable: true
          minimum: 0
          exclusiveMinimum: true
        context:
          type: string
          nullable: true
        attachments:
          type: array
          items:
            type: object
            properties:
              artifactId:
                type: string
                format: uuid
              artifactVersionId:
                type: string
                nullable: true
              artifactVersionNumber:
                type: integer
                minimum: 0
                exclusiveMinimum: true
              artifactName:
                type: string
            required:
              - artifactId
              - artifactVersionId
              - artifactName
            additionalProperties: false
        createdAt:
          type: string
          format: date-time
        updatedAt:
          type: string
          format: date-time
      required:
        - id
        - filingId
        - artifactId
        - artifactVersionId
        - scheduleType
        - scheduleSeqNo
        - context
        - attachments
        - createdAt
        - updatedAt
      additionalProperties: false
    V2CodedError:
      allOf:
        - $ref: '#/components/schemas/V2Error'
        - type: object
          properties:
            code:
              type: string
              minLength: 1
              description: Stable error code. Clients must tolerate unknown future codes.
            details:
              type: array
              items:
                type: object
                properties:
                  location:
                    type: string
                    enum:
                      - path
                      - query
                      - header
                      - body
                  path:
                    type: array
                    items:
                      type: string
                      maxLength: 64
                    maxItems: 12
                  code:
                    type: string
                    enum:
                      - required
                      - invalid_type
                      - invalid_value
                      - unknown_field
                  message:
                    type: string
                    minLength: 1
                    maxLength: 200
                required:
                  - location
                  - path
                  - code
                  - message
              minItems: 1
              maxItems: 20
              description: Bounded safe validation issues; may omit some invalid fields.
            requestId:
              type: string
              minLength: 1
              maxLength: 128
              description: >-
                Existing server correlation for this HTTP attempt, when
                available.
          required:
            - code
    V2Error:
      type: object
      properties:
        error:
          type: string
          minLength: 1
          description: Human-readable explanation of the failure.
      required:
        - error
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: 'Effective API key. Send Authorization: Bearer sk-eai-...'

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.